Bug 120966 - [60cat] NetBeans deadlock
[60cat] NetBeans deadlock
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: languages
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Jan Jancura
issues@obsolete
: RANDOM, THREAD
: 123260 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 14:39 UTC by dynamite
Modified: 2007-12-10 08:56 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Thread Dump with deadlock (28.14 KB, text/plain)
2007-11-02 14:41 UTC, dynamite
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dynamite 2007-11-02 14:39:18 UTC
[ BUILD # : 200711020000 ]
[ JDK VERSION : 1.5.* ]

I have had a couple of deadlocks today using the latest daily build. 
I have captured a thread dump of the last deadlock in the
LanguageManager.  I will attach the thread dump.
Comment 1 dynamite 2007-11-02 14:41:52 UTC
Created attachment 52370 [details]
Thread Dump with deadlock
Comment 2 Marian Mirilovic 2007-11-02 16:01:59 UTC
dynamite,
is this issue reproducible ? Could you also send us steps to reproduce or some hints what you were working on ? It would
be highly appreciated. Thanks in advance.
Comment 3 dynamite 2007-11-02 16:21:13 UTC
From what I remember I wasn't doing much in particular.  I had tomcat running and a free-form web project open along
with some associated files.  At the time it obviously hung I was actually using my browser!

I am now switching back to the latest daily to see if I can provoke the deadlock again.
Comment 4 Petr Jiricka 2007-11-02 16:48:56 UTC
Hanzi, do you know what could be the problem?
Comment 5 Jan Jancura 2007-11-02 17:00:03 UTC
Yes, 
looks like deadlock :)
Comment 6 Jan Jancura 2007-11-02 19:10:07 UTC
Bug is random, probably hard to reproduce.
Fix is not trivial, so I prefer to integrate it next week, to the 60 branch.
Is it OK?
Comment 7 Jan Jancura 2007-11-14 15:00:38 UTC
Fix is not trivial and issue is hard to reproduce. So it will not be fixed in nb60.
Comment 8 Jan Jancura 2007-12-06 14:13:24 UTC
fixed in trunk:

IDE:-------------------------------------------------
IDE: [12/6/07 3:02 PM] Refreshing CVS Status started
? src/org/netbeans/modules/languages/LanguageImpl.java
? src/org/netbeans/modules/languages/features/LocalizationSupport.java
? src/org/netbeans/modules/languages/features/SyntaxErrorHighlighter.java
? src/org/netbeans/modules/languages/parser/SyntaxError.java
? src/org/netbeans/modules/languages/resources/SyntaxError.xml
? test/unit/src/org/netbeans/modules/languages/TestLanguage.java
M src/org/netbeans/api/languages/ASTItem.java
M src/org/netbeans/api/languages/Language.java
M src/org/netbeans/modules/languages/FeatureList.java
M src/org/netbeans/modules/languages/Language.java
M src/org/netbeans/modules/languages/LanguagesManager.java
M src/org/netbeans/modules/languages/NBSLanguage.java
M src/org/netbeans/modules/languages/NBSLanguageReader.java
M src/org/netbeans/modules/languages/ParserManagerImpl.java
M src/org/netbeans/modules/languages/dataobject/LanguagesEditorKit.java
M src/org/netbeans/modules/languages/dataobject/LanguagesOptions.java
M src/org/netbeans/modules/languages/ext/NBS.java
M src/org/netbeans/modules/languages/features/ASTBrowserTopComponent.java
M src/org/netbeans/modules/languages/features/AnnotationManager.java
M src/org/netbeans/modules/languages/features/BraceCompletionDeleteAction.java
M src/org/netbeans/modules/languages/features/BraceCompletionInsertAction.java
M src/org/netbeans/modules/languages/features/BraceHighlighting.java
M src/org/netbeans/modules/languages/features/CodeCommentAction.java
M src/org/netbeans/modules/languages/features/CodeUncommentAction.java
M src/org/netbeans/modules/languages/features/ColorsManager.java
M src/org/netbeans/modules/languages/features/CompletionProviderImpl.java
M src/org/netbeans/modules/languages/features/CompletionSupport.java
M src/org/netbeans/modules/languages/features/ContextASTEvaluator.java
M src/org/netbeans/modules/languages/features/DatabaseManager.java
M src/org/netbeans/modules/languages/features/ExpandFoldTypeAction.java
M src/org/netbeans/modules/languages/features/FormatAction.java
M src/org/netbeans/modules/languages/features/GenericAction.java
M src/org/netbeans/modules/languages/features/GoToDeclarationAction.java
M src/org/netbeans/modules/languages/features/HyperlinkListener.java
M src/org/netbeans/modules/languages/features/IndentAction.java
M src/org/netbeans/modules/languages/features/IndentFactory.java
M src/org/netbeans/modules/languages/features/InstantRenameAction.java
M src/org/netbeans/modules/languages/features/LanguagesFoldManager.java
M src/org/netbeans/modules/languages/features/LanguagesGenerateFoldPopupAction.java
M src/org/netbeans/modules/languages/features/LanguagesHighlightsLayer.java
M src/org/netbeans/modules/languages/features/LanguagesNavigatorModel.java
M src/org/netbeans/modules/languages/features/MarkOccurrencesSupport.java
M src/org/netbeans/modules/languages/features/SemanticHighlightsLayer.java
M src/org/netbeans/modules/languages/features/ToggleCommentAction.java
M src/org/netbeans/modules/languages/features/TokenHighlightsLayer.java
M src/org/netbeans/modules/languages/features/ToolTipAnnotation.java
M src/org/netbeans/modules/languages/features/UsagesASTEvaluator.java
M src/org/netbeans/modules/languages/features/refactoring/RefactoringActionsProvider.java
M src/org/netbeans/modules/languages/lexer/SLanguageHierarchy.java
M src/org/netbeans/modules/languages/lexer/SLanguageProvider.java
M src/org/netbeans/modules/languages/lexer/SLexer.java
M src/org/netbeans/modules/languages/parser/ASTFeatures.java
M src/org/netbeans/modules/languages/parser/DG.java
M src/org/netbeans/modules/languages/parser/DGUtils.java
M src/org/netbeans/modules/languages/parser/First.java
M src/org/netbeans/modules/languages/parser/LLSyntaxAnalyser.java
R src/org/netbeans/modules/languages/parser/Petra.java
M src/org/netbeans/modules/languages/resources/NBS.nbs
M src/org/netbeans/modules/languages/resources/layer.xml
M test/unit/src/org/netbeans/api/languages/ASTTest.java
M test/unit/src/org/netbeans/modules/languages/LanguageTest.java
M test/unit/src/org/netbeans/modules/languages/NBSLanguageReaderTest.java
M test/unit/src/org/netbeans/modules/languages/TestUtils.java
M test/unit/src/org/netbeans/modules/languages/features/CodeFoldingTest.java
M test/unit/src/org/netbeans/modules/languages/features/CompletionTest.java
M test/unit/src/org/netbeans/modules/languages/features/NavigatorTest.java
M test/unit/src/org/netbeans/modules/languages/parser/AnalyserTest.java
M test/unit/src/org/netbeans/modules/languages/parser/DGUtilsTest.java
M test/unit/src/org/netbeans/modules/languages/parser/FirstTest.java
M test/unit/src/org/netbeans/modules/languages/parser/NBSTest.java
M test/unit/src/org/netbeans/modules/languages/parser/ParserTest.java
IDE: [12/6/07 3:02 PM] Refreshing CVS Status finished

IDE:-------------------------------------------------
IDE: [12/6/07 3:02 PM] Diffing "Generic Languages Framework" started
IDE: [12/6/07 3:03 PM] Diffing "Generic Languages Framework" finished

IDE:-------------------------------------------------
IDE: [12/6/07 3:08 PM] Committing "Generic Languages Framework" started
cvs server: scheduling file `src/org/netbeans/modules/languages/LanguageImpl.java' for addition
cvs server: scheduling file `src/org/netbeans/modules/languages/parser/SyntaxError.java' for addition
cvs server: scheduling file `src/org/netbeans/modules/languages/resources/SyntaxError.xml' for addition
cvs server: scheduling file `test/unit/src/org/netbeans/modules/languages/TestLanguage.java' for addition
cvs server: scheduling file `src/org/netbeans/modules/languages/features/LocalizationSupport.java' for addition
cvs server: scheduling file `src/org/netbeans/modules/languages/features/SyntaxErrorHighlighter.java' for addition
cvs server: use 'cvs commit' to add these files permanently
Checking in src/org/netbeans/modules/languages/features/ContextASTEvaluator.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ContextASTEvaluator.java,v  <--  ContextASTEvaluator.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/modules/languages/features/MarkOccurrencesSupport.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/MarkOccurrencesSupport.java,v  <-- 
MarkOccurrencesSupport.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/languages/features/IndentAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/IndentAction.java,v  <--  IndentAction.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/LanguagesNavigatorModel.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LanguagesNavigatorModel.java,v  <-- 
LanguagesNavigatorModel.java
new revision: 1.10; previous revision: 1.9
done
Checking in src/org/netbeans/modules/languages/features/SemanticHighlightsLayer.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/SemanticHighlightsLayer.java,v  <-- 
SemanticHighlightsLayer.java
new revision: 1.18; previous revision: 1.17
done
Checking in src/org/netbeans/modules/languages/features/LanguagesHighlightsLayer.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LanguagesHighlightsLayer.java,v  <-- 
LanguagesHighlightsLayer.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/modules/languages/features/CodeUncommentAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/CodeUncommentAction.java,v  <--  CodeUncommentAction.java
new revision: 1.2; previous revision: 1.1
done
Checking in src/org/netbeans/modules/languages/features/GenericAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/GenericAction.java,v  <--  GenericAction.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/modules/languages/features/UsagesASTEvaluator.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/UsagesASTEvaluator.java,v  <--  UsagesASTEvaluator.java
new revision: 1.8; previous revision: 1.7
done
RCS file: /cvs/languages/engine/src/org/netbeans/modules/languages/features/LocalizationSupport.java,v
done
Checking in src/org/netbeans/modules/languages/features/LocalizationSupport.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LocalizationSupport.java,v  <--  LocalizationSupport.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/languages/features/CompletionSupport.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/CompletionSupport.java,v  <--  CompletionSupport.java
new revision: 1.19; previous revision: 1.18
done
Checking in src/org/netbeans/modules/languages/features/FormatAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/FormatAction.java,v  <--  FormatAction.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/modules/languages/features/IndentFactory.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/IndentFactory.java,v  <--  IndentFactory.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/CodeCommentAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/CodeCommentAction.java,v  <--  CodeCommentAction.java
new revision: 1.2; previous revision: 1.1
done
Checking in src/org/netbeans/modules/languages/features/ToolTipAnnotation.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ToolTipAnnotation.java,v  <--  ToolTipAnnotation.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/CompletionProviderImpl.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/CompletionProviderImpl.java,v  <-- 
CompletionProviderImpl.java
new revision: 1.48; previous revision: 1.47
done
Checking in src/org/netbeans/modules/languages/features/DatabaseManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/DatabaseManager.java,v  <--  DatabaseManager.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/HyperlinkListener.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/HyperlinkListener.java,v  <--  HyperlinkListener.java
new revision: 1.20; previous revision: 1.19
done
Checking in src/org/netbeans/modules/languages/features/TokenHighlightsLayer.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/TokenHighlightsLayer.java,v  <-- 
TokenHighlightsLayer.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/ColorsManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ColorsManager.java,v  <--  ColorsManager.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/languages/features/LanguagesFoldManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LanguagesFoldManager.java,v  <-- 
LanguagesFoldManager.java
new revision: 1.28; previous revision: 1.27
done
Checking in src/org/netbeans/modules/languages/features/BraceCompletionInsertAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/BraceCompletionInsertAction.java,v  <-- 
BraceCompletionInsertAction.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/languages/features/GoToDeclarationAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/GoToDeclarationAction.java,v  <-- 
GoToDeclarationAction.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/modules/languages/features/ASTBrowserTopComponent.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ASTBrowserTopComponent.java,v  <-- 
ASTBrowserTopComponent.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/modules/languages/features/LanguagesGenerateFoldPopupAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LanguagesGenerateFoldPopupAction.java,v  <-- 
LanguagesGenerateFoldPopupAction.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/modules/languages/features/ExpandFoldTypeAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ExpandFoldTypeAction.java,v  <-- 
ExpandFoldTypeAction.java
new revision: 1.7; previous revision: 1.6
done
RCS file: /cvs/languages/engine/src/org/netbeans/modules/languages/features/SyntaxErrorHighlighter.java,v
done
Checking in src/org/netbeans/modules/languages/features/SyntaxErrorHighlighter.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/SyntaxErrorHighlighter.java,v  <-- 
SyntaxErrorHighlighter.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/languages/features/BraceHighlighting.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/BraceHighlighting.java,v  <--  BraceHighlighting.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/languages/features/InstantRenameAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/InstantRenameAction.java,v  <--  InstantRenameAction.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/modules/languages/features/BraceCompletionDeleteAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/BraceCompletionDeleteAction.java,v  <-- 
BraceCompletionDeleteAction.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/modules/languages/features/AnnotationManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/AnnotationManager.java,v  <--  AnnotationManager.java
new revision: 1.19; previous revision: 1.18
done
Checking in src/org/netbeans/modules/languages/features/ToggleCommentAction.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/ToggleCommentAction.java,v  <--  ToggleCommentAction.java
new revision: 1.4; previous revision: 1.3
done
Checking in test/unit/src/org/netbeans/modules/languages/parser/ParserTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/parser/ParserTest.java,v  <--  ParserTest.java
new revision: 1.7; previous revision: 1.6
done
Checking in test/unit/src/org/netbeans/modules/languages/parser/NBSTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/parser/NBSTest.java,v  <--  NBSTest.java
new revision: 1.10; previous revision: 1.9
done
Checking in test/unit/src/org/netbeans/modules/languages/parser/AnalyserTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/parser/AnalyserTest.java,v  <--  AnalyserTest.java
new revision: 1.13; previous revision: 1.12
done
Checking in test/unit/src/org/netbeans/modules/languages/parser/DGUtilsTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/parser/DGUtilsTest.java,v  <--  DGUtilsTest.java
new revision: 1.3; previous revision: 1.2
done
Checking in test/unit/src/org/netbeans/modules/languages/parser/FirstTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/parser/FirstTest.java,v  <--  FirstTest.java
new revision: 1.3; previous revision: 1.2
done
Checking in test/unit/src/org/netbeans/modules/languages/features/CodeFoldingTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/features/CodeFoldingTest.java,v  <-- 
CodeFoldingTest.java
new revision: 1.5; previous revision: 1.4
done
Checking in test/unit/src/org/netbeans/modules/languages/features/CompletionTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/features/CompletionTest.java,v  <--  CompletionTest.java
new revision: 1.9; previous revision: 1.8
done
Checking in test/unit/src/org/netbeans/modules/languages/features/NavigatorTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/features/NavigatorTest.java,v  <--  NavigatorTest.java
new revision: 1.5; previous revision: 1.4
done
Checking in src/org/netbeans/modules/languages/parser/LLSyntaxAnalyser.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/LLSyntaxAnalyser.java,v  <--  LLSyntaxAnalyser.java
new revision: 1.61; previous revision: 1.60
done
Checking in src/org/netbeans/modules/languages/parser/First.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/First.java,v  <--  First.java
new revision: 1.2; previous revision: 1.1
done
Checking in src/org/netbeans/modules/languages/parser/DGUtils.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/DGUtils.java,v  <--  DGUtils.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/modules/languages/parser/ASTFeatures.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/ASTFeatures.java,v  <--  ASTFeatures.java
new revision: 1.2; previous revision: 1.1
done
RCS file: /cvs/languages/engine/src/org/netbeans/modules/languages/parser/SyntaxError.java,v
done
Checking in src/org/netbeans/modules/languages/parser/SyntaxError.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/SyntaxError.java,v  <--  SyntaxError.java
initial revision: 1.1
done
Removing src/org/netbeans/modules/languages/parser/Petra.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/Petra.java,v  <--  Petra.java
new revision: delete; previous revision: 1.17
done
Checking in src/org/netbeans/modules/languages/parser/DG.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/parser/DG.java,v  <--  DG.java
new revision: 1.5; previous revision: 1.4
done
Checking in src/org/netbeans/modules/languages/resources/NBS.nbs;
/cvs/languages/engine/src/org/netbeans/modules/languages/resources/NBS.nbs,v  <--  NBS.nbs
new revision: 1.28; previous revision: 1.27
done
RCS file: /cvs/languages/engine/src/org/netbeans/modules/languages/resources/SyntaxError.xml,v
done
Checking in src/org/netbeans/modules/languages/resources/SyntaxError.xml;
/cvs/languages/engine/src/org/netbeans/modules/languages/resources/SyntaxError.xml,v  <--  SyntaxError.xml
initial revision: 1.1
done
Checking in src/org/netbeans/modules/languages/resources/layer.xml;
/cvs/languages/engine/src/org/netbeans/modules/languages/resources/layer.xml,v  <--  layer.xml
new revision: 1.19; previous revision: 1.18
done
Checking in src/org/netbeans/api/languages/ASTItem.java;
/cvs/languages/engine/src/org/netbeans/api/languages/ASTItem.java,v  <--  ASTItem.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/api/languages/Language.java;
/cvs/languages/engine/src/org/netbeans/api/languages/Language.java,v  <--  Language.java
new revision: 1.7; previous revision: 1.6
done
RCS file: /cvs/languages/engine/src/org/netbeans/modules/languages/LanguageImpl.java,v
done
Checking in src/org/netbeans/modules/languages/LanguageImpl.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/LanguageImpl.java,v  <--  LanguageImpl.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/languages/LanguagesManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/LanguagesManager.java,v  <--  LanguagesManager.java
new revision: 1.38; previous revision: 1.37
done
Checking in src/org/netbeans/modules/languages/NBSLanguageReader.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/NBSLanguageReader.java,v  <--  NBSLanguageReader.java
new revision: 1.42; previous revision: 1.41
done
Checking in src/org/netbeans/modules/languages/ParserManagerImpl.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/ParserManagerImpl.java,v  <--  ParserManagerImpl.java
new revision: 1.55; previous revision: 1.54
done
Checking in src/org/netbeans/modules/languages/NBSLanguage.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/NBSLanguage.java,v  <--  NBSLanguage.java
new revision: 1.30; previous revision: 1.29
done
Checking in src/org/netbeans/modules/languages/FeatureList.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/FeatureList.java,v  <--  FeatureList.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/modules/languages/Language.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/Language.java,v  <--  Language.java
new revision: 1.58; previous revision: 1.57
done
Checking in src/org/netbeans/modules/languages/features/refactoring/RefactoringActionsProvider.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/refactoring/RefactoringActionsProvider.java,v  <-- 
RefactoringActionsProvider.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/modules/languages/dataobject/LanguagesOptions.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/dataobject/LanguagesOptions.java,v  <--  LanguagesOptions.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/modules/languages/dataobject/LanguagesEditorKit.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/dataobject/LanguagesEditorKit.java,v  <--  LanguagesEditorKit.java
new revision: 1.29; previous revision: 1.28
done
Checking in src/org/netbeans/modules/languages/lexer/SLexer.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/lexer/SLexer.java,v  <--  SLexer.java
new revision: 1.30; previous revision: 1.29
done
Checking in src/org/netbeans/modules/languages/lexer/SLanguageProvider.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/lexer/SLanguageProvider.java,v  <--  SLanguageProvider.java
new revision: 1.21; previous revision: 1.20
done
Checking in src/org/netbeans/modules/languages/lexer/SLanguageHierarchy.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/lexer/SLanguageHierarchy.java,v  <--  SLanguageHierarchy.java
new revision: 1.16; previous revision: 1.15
done
Checking in src/org/netbeans/modules/languages/ext/NBS.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/ext/NBS.java,v  <--  NBS.java
new revision: 1.7; previous revision: 1.6
done
Checking in test/unit/src/org/netbeans/modules/languages/TestUtils.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/TestUtils.java,v  <--  TestUtils.java
new revision: 1.2; previous revision: 1.1
done
RCS file: /cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/TestLanguage.java,v
done
Checking in test/unit/src/org/netbeans/modules/languages/TestLanguage.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/TestLanguage.java,v  <--  TestLanguage.java
initial revision: 1.1
done
Checking in test/unit/src/org/netbeans/modules/languages/LanguageTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/LanguageTest.java,v  <--  LanguageTest.java
new revision: 1.5; previous revision: 1.4
done
Checking in test/unit/src/org/netbeans/modules/languages/NBSLanguageReaderTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/modules/languages/NBSLanguageReaderTest.java,v  <-- 
NBSLanguageReaderTest.java
new revision: 1.7; previous revision: 1.6
done
Checking in test/unit/src/org/netbeans/api/languages/ASTTest.java;
/cvs/languages/engine/test/unit/src/org/netbeans/api/languages/ASTTest.java,v  <--  ASTTest.java
new revision: 1.3; previous revision: 1.2
done
IDE: [12/6/07 3:08 PM] Committing "Generic Languages Framework" finished
Comment 9 Daniel Prusa 2007-12-10 08:56:32 UTC
*** Issue 123260 has been marked as a duplicate of this issue. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo